[gcompris/gcomprixo] Fixed compilation issue. Improved XO Bundle.
- From: Bruno Coudoin <bcoudoin src gnome org>
- To: svn-commits-list gnome org
- Subject: [gcompris/gcomprixo] Fixed compilation issue. Improved XO Bundle.
- Date: Sat, 9 May 2009 17:28:49 -0400 (EDT)
commit fef80d8d9d6d877522c2f0f9a39dd13c759261f5
Author: Bruno Coudoin <bruno coudoin free fr>
Date: Sat May 9 23:27:53 2009 +0200
Fixed compilation issue. Improved XO Bundle.
---
src/colors-activity/colors.c | 2 +-
src/gcompris/gcompris_db.c | 2 +-
tools/full_xo_bundle.sh | 4 ++++
3 files changed, 6 insertions(+), 2 deletions(-)
diff --git a/src/colors-activity/colors.c b/src/colors-activity/colors.c
index b040ae9..4b7cca5 100644
--- a/src/colors-activity/colors.c
+++ b/src/colors-activity/colors.c
@@ -328,7 +328,7 @@ static void repeat (){
g_free(str);
- str = g_strdup_printf(gettext(colors[GPOINTER_TO_INT(g_list_nth_data(listColors, 0))*2+1]));
+ str = g_strdup(gettext(colors[GPOINTER_TO_INT(g_list_nth_data(listColors, 0))*2+1]));
gnome_canvas_item_new (boardRootItem,
gnome_canvas_text_get_type (),
diff --git a/src/gcompris/gcompris_db.c b/src/gcompris/gcompris_db.c
index ed9d0e8..23be8bb 100644
--- a/src/gcompris/gcompris_db.c
+++ b/src/gcompris/gcompris_db.c
@@ -1726,7 +1726,7 @@ GcomprisBoard *gc_db_get_board_from_id(int board_id)
gcomprisBoard->gmodule_file = NULL;
/* From DB we have only package_data_dir. */
- gcomprisBoard->board_dir = g_strdup_printf(properties->package_data_dir);
+ gcomprisBoard->board_dir = g_strdup(properties->package_data_dir);
/* Fixed since I use the canvas own pixel_per_unit scheme */
gcomprisBoard->width = BOARDWIDTH;
diff --git a/tools/full_xo_bundle.sh b/tools/full_xo_bundle.sh
index 3883c6a..819663b 100755
--- a/tools/full_xo_bundle.sh
+++ b/tools/full_xo_bundle.sh
@@ -8,6 +8,10 @@ fi
# To create a full GCompris bundle on the OLPC xo:
mkdir /tmp/gcompris.activity
sh autogen.sh --enable-dbus --disable-sqlite --prefix=/tmp/gcompris.activity
+if test $? -ne 0; then
+ echo "ERROR: Fix autogen first"
+ exit 1
+fi
make
make install
tar -C /tmp/gcompris.activity -xzf tools/full-xo-bundle-add-on.tzf
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]